{
  "version": "1.24.0",
  "createdWith": "Open Stage Control",
  "type": "fragment",
  "content": {
    "type": "panel",
    "top": 0,
    "left": 0,
    "lock": false,
    "id": "@{parent.id}_probs",
    "visible": true,
    "interaction": true,
    "comments": "",
    "width": "100%",
    "height": "100%",
    "expand": "false",
    "colorText": "auto",
    "colorWidget": "auto",
    "colorStroke": "auto",
    "colorFill": "auto",
    "alphaStroke": "auto",
    "alphaFillOff": "auto",
    "alphaFillOn": "auto",
    "lineWidth": "auto",
    "borderRadius": "auto",
    "padding": "auto",
    "html": "",
    "css": "",
    "colorBg": "auto",
    "layout": "default",
    "justify": "start",
    "gridTemplate": "",
    "contain": true,
    "scroll": true,
    "innerPadding": true,
    "variables": "@{parent.variables}",
    "traversing": false,
    "value": "",
    "default": "",
    "linkId": "",
    "address": "auto",
    "preArgs": "",
    "typeTags": "",
    "decimals": 2,
    "target": "",
    "ignoreDefaults": false,
    "bypass": false,
    "onCreate": "",
    "onValue": "",
    "widgets": [
      {
        "type": "fragment",
        "top": 0,
        "left": 0,
        "lock": false,
        "id": "@{parent.id}_dur",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": "auto",
        "height": "100%",
        "expand": "false",
        "css": ":host {\n\n    width: calc(100% - 160rem);\n\n}",
        "file": "fragments/env.json",
        "fallback": "",
        "props": {
          "variables": {
            "grandparent": "@{parent.id}",
            "min": 0,
            "max": 5,
            "decimals": 2
          }
        },
        "address": "auto",
        "variables": "@{parent.variables}"
      },
      {
        "type": "fragment",
        "top": 0,
        "left": "auto",
        "lock": false,
        "id": "@{parent.id}_chord",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": 80,
        "height": "100%",
        "expand": "false",
        "css": ":host {\n\n    left: calc(100% - 160rem);\n\n}",
        "file": "fragments/slider.json",
        "fallback": "",
        "props": {
          "variables": {
            "min": 0,
            "max": 1,
            "slider_label": "chord prob",
            "grandparent": "@{parent.id}"
          }
        },
        "address": "auto",
        "variables": "@{parent.variables}"
      },
      {
        "type": "variable",
        "lock": false,
        "id": "@{parent.id}_vals",
        "comments": "",
        "value": "",
        "default": [
          0,
          0.25,
          2,
          0,
          0.5,
          0.5,
          0.5,
          1,
          0.5
        ],
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "var sync = get(getProp(\"parent\", \"id\") + \"_sync\");\nvar pID = getProp(\"parent\", \"id\");\nif(sync == \"entrances\") {\n  pID = \"entrances_probs\"\n} else \nif (sync == \"passages\") {\n  pID = \"passages_probs\"\n} else \nif (sync == \"exits\") {\n  pID = \"exits_probs\"\n}\n\nvar cProb = get(pID + '_chord_val_slider')\nvar pRange = get(pID + '_pad_val_rslider')\nvar env = get(pID + '_dur_env_vals')\nvalue =  ([cProb]).concat(pRange).concat(env);\nset(\"this\", value)"
      },
      {
        "type": "fragment",
        "top": 0,
        "left": "auto",
        "lock": false,
        "id": "@{parent.id}_pad",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": 80,
        "height": "100%",
        "expand": "false",
        "css": ":host {\n\n    left: calc(100% - 80rem);\n\n}",
        "file": "fragments/range_slider.json",
        "fallback": "",
        "props": {
          "variables": {
            "min": 0,
            "max": 10,
            "rslider_label": "pad",
            "grandparent": "@{parent.id}",
            "decimals": 2
          }
        },
        "address": "auto",
        "variables": "@{parent.variables}"
      }
    ],
    "tabs": [],
    "tabsPosition": "top"
  }
}